//--------------------------------------------------------
//Code generated by Papyrus Java
//--------------------------------------------------------

package Clases;

import java.time.LocalDate;

/************************************************************/
/**
* 
*/
public class Composiciones {
	/**
	 * @param titulo
	 * @param duracion
	 * @param interpretes
	 * @param generoMusical
	 * @param fechaRegistro
	 */
	public Composiciones(String titulo, double duracion, String interpretes, String generoMusical) {
		super();
		this.titulo = titulo;
		this.duracion = duracion;
		this.interpretes = interpretes;
		this.generoMusical = generoMusical;
		this.fechaRegistro = fechaRegistro = null;
	}

	/**
	 * 
	 */
	private String titulo;
	/**
	 * 
	 */
	private double duracion;
	/**
	 * 
	 */
	private String interpretes;
	/**
	 * 
	 */
	private String generoMusical;
	/**
	 * 
	 */
	private LocalDate fechaRegistro;
	/**
	 * 
	 */
	private LocalDate fechaEstreno;

	/**
	 * 
	 * @param interpretes 
	 */
	public void agregarMusico(String interpretes) {
	}

	@Override
	public String toString() {
		return "Composiciones [titulo=" + titulo + ", duracion=" + duracion + ", interpretes=" + interpretes
				+ ", generoMusical=" + generoMusical + ", fechaRegistro=" + fechaRegistro + ", fechaEstreno="
				+ fechaEstreno + "]";
	}

	public String getTitulo() {
		return titulo;
	}

	public void setTitulo(String titulo) {
		this.titulo = titulo;
	}

	public double getDuracion() {
		return duracion;
	}

	public void setDuracion(double duracion) {
		this.duracion = duracion;
	}

	public String getInterpretes() {
		return interpretes;
	}

	public void setInterpretes(String interpretes) {
		this.interpretes = interpretes;
	}

	public String getGeneroMusical() {
		return generoMusical;
	}

	public void setGeneroMusical(String generoMusical) {
		this.generoMusical = generoMusical;
	}

	public LocalDate getFechaRegistro() {
		return fechaRegistro;
	}

	public void setFechaRegistro(LocalDate fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	public LocalDate getFechaEstreno() {
		return fechaEstreno;
	}

	public void setFechaEstreno(LocalDate fechaEstreno) {
		this.fechaEstreno = fechaEstreno;
	}

}

